package com.hys.app.model.erp.enums;

import lombok.Getter;

/**
 * 入库单状态枚举
 *
 * @author 张崧
 * @since 2023-12-05
 */
@Getter
public enum WarehouseEntyrTypeEnum {

    SALE_ENTRY("SALE_ENTRY", "采购入库"),
    TRANSFER_ENTRY("TRANSFER_ENTRY", "调拨入库"),
    HAIL_ENTRY("HAIL_ENTRY", "租赁返回"),
    SALE_AFTER("SALE_AFTER", "售后退货"),
    OTHER_ENTRY("OTHER_ENTRY", "其它入库");

    private final String value;
    private final String label;

    WarehouseEntyrTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }
}
